<?php
require_once __DIR__.'/../bootstrap.php';

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
/** @var Zeedhi\DataMining\Common\Service\DataCollector\Schedule $scheduleService */
$scheduleService = $instanceManager->getService('scheduleService');
/** @var \Zeedhi\DataMining\Common\Service\DataCollector\SocketClient  $socketClient */
$socketClient    = $instanceManager->getService('socketClient');

$loop = \React\EventLoop\Factory::create();

// Call this function every 5 second
$loop->addPeriodicTimer(5, function () use ($scheduleService, $socketClient) {
    try {
        $message = "Start import checker";
		echo "\n# - ".date('d/m/Y - H:i:s', time())." - ".$message.PHP_EOL;
        
        $type = "scheduledBI";
        $socketClient->connect();
        $scheduleService->checkForNewImportProcesses($type);
    } catch(\Exception $e) {
        echo "\n{ERROR : \n.$e->getMessage()}\n";
    }
});

// Call this function every 5 minutes
$loop->addPeriodicTimer(300, function () use ($socketClient) {
    try {
        $socketClient->ping();
    } catch(\Exception $e) {
        echo "\n{$e->getMessage()}\n";
    }
});

$loop->run();